﻿//-----------------------------------------------------------------------
// <copyright file="BallDrain.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BallDrain : MonoBehaviour 
{

    void OnTriggerEnter(Collider col)
    {
        if(col.gameObject.tag == "Player")
        {
            Destroy(col.gameObject);

            Registry.current.ChangeValue("BallsInPlay", -1);

            if(Registry.current.GetValue("BallsInPlay") > 0 )
            {
                return;
            }

            if( Registry.current.GetValue("BallNum") >= Registry.current.GetValue("MaxBallNum", 3) )
            {
                Registry.current.GameOver();
                return;
            }

            GameObject.FindObjectOfType<BallSpawner>().NewLife();
        }
    }

}
