﻿//-----------------------------------------------------------------------
// <copyright file="BallSpawner.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BallSpawner : MonoBehaviour 
{
    void Start () 
    {
        plunger = GameObject.FindObjectOfType<Plunger>();
        NewLife();
    }

    public GameObject BallPrefab;

    public void NewLife()
    {
        Registry.current.ChangeValue("BallNum", 1);
        SpawnBall();
    }

    Plunger plunger;

    public void SpawnBall( bool autoPlunge = false )
    {
        Debug.Log("Spawning!");
        Registry.current.ChangeValue("BallsInPlay", 1);
        GameObject ballGO = (GameObject)Instantiate(BallPrefab, this.transform.position, Quaternion.identity);

        if(autoPlunge)
        {
            plunger.DoPlunge(ballGO.GetComponent<Rigidbody>());
        }
    }
}
