﻿//-----------------------------------------------------------------------
// <copyright file="OnTriggerSetValue.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class OnTriggerSetValue : MonoBehaviour 
{

    public string Key = "";
    public int value;

    void OnTriggerEnter( Collider col )
    {
        if(Key == "")
        {
            Debug.LogError("Set a key name for: " + gameObject.name);
            return;
        }

        if(col.gameObject.tag == "Player")
        {
            Registry.current.SetValue(Key, value);
        }
    }

}
