﻿//-----------------------------------------------------------------------
// <copyright file="SpawnBallOnClick.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SpawnBallOnClick : MonoBehaviour 
{
    void Start () 
    {
        
    }

    public GameObject Prefab;
    
    void Update () 
    {
        if(Input.GetMouseButtonDown(2) && Input.GetKey(KeyCode.LeftAlt))
        {
            Ray ray = Camera.main.ScreenPointToRay( Input.mousePosition );
            RaycastHit hitInfo;

            int mask = ~(1 << 12);

            if( Physics.Raycast(ray, out hitInfo, Mathf.Infinity, mask) )
            {
                //Debug.Log(hitInfo.collider.gameObject.name);
                //if(hitInfo.collider.gameObject == this.gameObject)
                //{
                    Registry.current.ChangeValue("BallsInPlay", 1);
                    Instantiate(Prefab, hitInfo.point + new Vector3(0, 0.00135f, 0), Quaternion.identity);
                //}
            }
        }
    }
}
