﻿//-----------------------------------------------------------------------
// <copyright file="UI_Score.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class UI_Lives : MonoBehaviour 
{
    void Start()
    {
        txt = GetComponent<Text>();
        PressR.SetActive(false);
    }

    public string RegistryName = "BallNum";

    Text txt;

    public GameObject PressR;

    float delay = 1f;
    float timer = 99;

    void Update () 
    {
        timer += Time.deltaTime;

        if(Registry.current.IsGameOver)
        {
            if(timer > delay)
            {
                if(txt.text != "GAME OVER")
                {
                    txt.text = "GAME OVER";
                    timer = 0;
                }
                else
                {
                    txt.text = "PRESS 'R' TO RESTART";
                    timer = 0;
                }
            }
         //   PressR.SetActive(true);
        }
        else {
            txt.text = "Ball: " + 
                Registry.current.GetValue(RegistryName);            
        }
    }
}
