﻿//-----------------------------------------------------------------------
// <copyright file="PlungerOverlay.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System;

public class UI_PlungerOverlay : MonoBehaviour 
{
    void Start()
    {
        plunger = GameObject.FindObjectOfType<Plunger>();

        child = transform.GetChild(0);
        text = transform.GetComponentInChildren<Text>();
    }

    Plunger plunger;
    Transform child;
    Text text;

    void Update () 
    {
        if( plunger.BallPresent() )
        {
            child.gameObject.SetActive(true);
            text.text = String.Format("Plunger: {0:f0}", (plunger.ForcePerc() * 100));
        }
        else
        {
            child.gameObject.SetActive(false);
        }
    }
}
