﻿//-----------------------------------------------------------------------
// <copyright file="UI_Score.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class UI_Score : MonoBehaviour 
{
    void Start()
    {
        txt = GetComponent<Text>();
    }

    Text txt;

    float delay = 2f;
    float timer = 99;

    void Update () 
    {
        timer += Time.deltaTime;

        if(Registry.current.IsGameOver)
        {
            if(timer > delay)
            {
                if(txt.text[0] != 'H')
                {
                    txt.text = "HIGH: " + PlayerPrefs.GetInt("High Score").ToString("N0");
                    timer = 0;
                }
                else
                {
                    txt.text = "SCORE: " + Registry.current.GetValue("VisiblePoints").ToString("N0");
                    timer = 0;
                }
            }

        }
        else
        {
            txt.text = "SCORE: " + Registry.current.GetValue("VisiblePoints").ToString("N0");
        }
    }
}
