﻿//-----------------------------------------------------------------------
// <copyright file="BlinkImage.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class BlinkImage : MonoBehaviour 
{
    void Start () 
    {
        image = GetComponent<Image>();
    }

    Image image;
    float timer = 1f;

    void Update () 
    {
        timer -= Time.deltaTime;

        if(timer < 0)
        {
            timer = 1f;

            image.enabled = !image.enabled;
        }

        if(Input.anyKeyDown)
        {
            SceneManager.LoadScene( SceneManager.GetActiveScene().buildIndex + 1 );
        }
    }
}
