﻿//-----------------------------------------------------------------------
// <copyright file="PlayOnCollision.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayOnCollision : MonoBehaviour 
{
    void Start () 
    {
        audioSource = GetComponent<AudioSource>();
    }

    float cooldown = 0.1f;
    float timer = 0;
    AudioSource audioSource;
    
    void Update () 
    {
        timer += Time.deltaTime;
    }

    void OnCollisionEnter( Collision col )
    {
        if( timer >= cooldown && col.impulse.sqrMagnitude > 0.005f)
        {
            audioSource.Play();
            timer = 0;
        }
    }
}
