﻿//-----------------------------------------------------------------------
// <copyright file="PopBumper.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PopBumper : MonoBehaviour 
{
    float force = 50f;
    Registry registry;
    //int points = 1000;

    void OnTriggerEnter( Collider col )
    {
        if(col.gameObject.tag == "Player")
        {
            Rigidbody rb = col.GetComponent<Rigidbody>();

            Vector3 dir = this.transform.position - col.transform.position;
            dir.y = 0;
            dir.Normalize();

            rb.velocity = Vector3.ClampMagnitude(rb.velocity, 1f);
            rb.AddForce( dir * force );

            if(registry == null)
            {
                registry = GameObject.FindObjectOfType<Registry>();
            }

            //registry.AddPoints( points );
        }
    }
}
