﻿//-----------------------------------------------------------------------
// <copyright file="Sling.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Sling : MonoBehaviour 
{
    float force = 10f;

    void OnTriggerEnter( Collider col )
    {

        if(col.gameObject.tag == "Player")
        {
            Rigidbody rb = col.GetComponent<Rigidbody>();
            rb.velocity = Vector3.ClampMagnitude(rb.velocity, 1f);
            rb.AddForce( this.transform.forward * force );

        }
    }
}
