﻿//-----------------------------------------------------------------------
// <copyright file="SwitchTriggererLayer.cs" company="Quill18 Productions">
//     Copyright (c) Quill18 Productions. All rights reserved.
// </copyright>
//-----------------------------------------------------------------------

using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SwitchTriggererLayer : MonoBehaviour 
{

    int LayerOnEnter = 10;
    int LayerOnExit = 9;
    string Tag = "Player";

    void OnTriggerEnter( Collider col )
    {
        if(col.gameObject.tag == Tag)
        {
            col.gameObject.layer = LayerOnEnter;
        }
    }

    void OnTriggerExit( Collider col )
    {
        if(col.gameObject.tag == Tag)
        {
            col.gameObject.layer = LayerOnExit;
        }
    }

}
